import { Http } from '@zeedhi/core';
import ScreenService from '@/services/ScreenService';

export class DbVersionController {
    private nrorgDbCard = '';

    private nmorganizacaoDbCard = '';

    private nmrazaosocialorgDbCard = '';

    private nmverobjdbDbCard = '...';

    private isVisibleVersionDbCard = false;

    get isVisibleOrganizationGrid() {
        return !this.isVisibleVersionDbCard;
    }

    public OnCreatedDbVersion() {
        ScreenService.createAndStartResizeObservable(287);
    }

    public OnDestroyDbVersion() {
        ScreenService.destroyResizeObservable(287);
    }

    public async rowClickOrganizationGridOn(params: any) {
        this.isVisibleVersionDbCard = true;
        this.nrorgDbCard = params.row.NRORG;
        this.nmorganizacaoDbCard = params.row.NMORGANIZACAO;
        this.nmrazaosocialorgDbCard = params.row.NMRAZSOCIALORG;
        ScreenService.showLoader();
        const aux = await Http.get('/lastDbVersion?', { params: { NRORG: this.nrorgDbCard } });
        this.nmverobjdbDbCard = aux.data.data[0].NRVEROBJBD;
        ScreenService.hideLoader();
    }

    public closeButtonDbVersionCard() {
        this.isVisibleVersionDbCard = false;
        this.nmverobjdbDbCard = '...';
    }

    public reload({ component }: any) {
        component.parent.datasource.get();
    }
}
